<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_cpanel
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
require_once(dirname(dirname(__FILE__)).'../../../helper.php');
use Joomla\Registry\Registry;

JHtml::_('behavior.framework', true);
JHtml::_('jquery.framework');
$doc = JFactory::getDocument();
$doc->addScript(JUri::root() . 'media/jui/js/chosen.jquery.min.js');
$doc->addStyleSheet(JUri::root().'media/jui/css/chosen.css');

$helper = new BKTMPHelper();
$user = JFactory::getUser();
$app = JFactory::getApplication();

// Get the dashboard configurations
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
$path = JPATH_ROOT. '/media/'._ADMIN_TPL;
$fileConfigs = $path.'/configs.json';
$userGroups = $user->get('groups');
$dashboard = $app->input->get('dashboard');

if (JFile::exists($fileConfigs)) {
	$configs = json_decode(@file_get_contents($fileConfigs), true);
}

// Get quicklinks to Display
$quicklinks = array();
$links = array();

// Menu Item Links
$qlPath = JPATH_ADMINISTRATOR . '/templates/' . _ADMIN_TPL . '/admin/assets/links/quicklinks.json';
if (JFile::exists($qlPath)) {
	$links = json_decode(file_get_contents($qlPath), true);
	
	// Components Link
	$components = $helper->getComponents();
	if ($components){
		foreach ($components as $component) {
			if (count($component->submenu) > 0 ) {
				foreach ($component->submenu as $sub) {
					$item = array();
					$item['timeStamp'] = $sub->id;
					$item['name'] = strtolower($sub->title);
					$item['title'] = $sub->path;
					$item['link'] = $sub->link;
					$item['icon'] = str_replace('class:','', $sub->img);
					$item['image'] = '';
					$links['systemlinks'][] = $item;
				}
			} else {
				$item = array();
				$item['timeStamp'] = $component->id;
				$item['name'] = strtolower($component->title);
				$item['title'] = $component->path;
				$item['link'] = $component->link;
				$item['icon'] = str_replace('class:','', $component->img);
				$item['image'] = '';
				$links['systemlinks'][] = $item;
			}
		}
	}
	
	$links = array_merge($links['systemlinks'], $links['customlinks']);
}

// Get Links which optimized by user
$customPath = JPATH_SITE . '/media/' . _ADMIN_TPL . '/links/customlinks.json';
if (JFile::exists($customPath)) {
	$csLinks = json_decode(file_get_contents($customPath), true);
	foreach ($links as $k => $link) {
		foreach ($csLinks as $cslink) {
			if ($link['timeStamp'] == $cslink) {
				$links[$k]['title'] = $cslink['title'];
				$links[$k]['icon'] = $cslink['icon'];
				$links[$k]['image'] = $cslink['image'];
			}
		}
	}
}

if (isset($configs) && count($configs['quicklinks']) > 0) {
	foreach ($configs['quicklinks'] as $gr => $qls) {
		$quicklinks[$gr] = array();
		$quicklinks[$gr]['links'] = array();
		$quicklinks[$gr]['acl'] = isset($qls['acl']) ? $qls['acl'] : '';
		if (isset($qls['items'])) {
			foreach ($qls['items'] as $ql) {
				if (isset($ql['acl'])) {
					foreach($links as $link) {
						if ($dashboard) {
							if (in_array($dashboard, $ql['acl'])) {
								if($ql['timestamp'] == $link['timeStamp']) {
									$quicklinks[$gr]['links'][] = $link;
								}
							}
						} elseif (in_array('all', $ql['acl']) || count(array_intersect($userGroups, $ql['acl']))) {
							if($ql['timestamp'] == $link['timeStamp']) {
								$quicklinks[$gr]['links'][] = $link;
							}
						}
					}
				}
			}
		}
	}
}

foreach($quicklinks as $gr => $qls) {
	foreach ($qls['links'] as $k => $ql) {
		if(!isset($ql['name'])){}
		if(preg_match('/\/.+/', $ql['title'])) {
			$quicklinks[$gr]['links'][$k]['name'] = preg_replace('/.+\//', '', $ql['title']);
		} else {
			$quicklinks[$gr]['links'][$k]['name'] = $ql['title'];
		}
	}
}

// Get links which customized by user
$customPath = $path . '/links/customlinks.json';
if (JFile::exists($customPath)) {
	$csLinks = json_decode(file_get_contents($customPath), true);
	if (count($csLinks) > 0) {
		foreach ($quicklinks as $gr => $qls) {
			foreach ($qls['links'] as $k => $v) {
				foreach ($csLinks as $link) {
					if(preg_match('/\/.+/', $link['title'])) {
						$link['name'] = preg_replace('/.+\//', '', $link['title']);
					} else {
						$link['name'] = $link['title'];
					} 
					if ($link['timeStamp'] == $v['timeStamp']) {
						$quicklinks[$gr]['links'][$k] = $link;
					}
				}
			}
		}
	}
}
?>

<?php /* $iconmodules = JModuleHelper::getModules('icon');
	if ($iconmodules) : 
	$iconmodulesNew = array();
	if (isset($dsConfigs) && isset($dsConfigs['modules'])) {
		foreach($iconmodules as $iconmodule) {
			foreach($dsConfigs['modules'] as $cf => $value ) {
				if($cf == $iconmodule->module.$iconmodule->id && $value == '1') {
					$iconmodulesNew[] = $iconmodule;
				}
			}
		}
	} else {
		$iconmodulesNew = $iconmodules;
	}
?>
<div class="cpanel-links">
	<?php
	// Display the submenu position modules
	foreach ($iconmodulesNew as $iconmodule)
	{
		echo JModuleHelper::renderModule($iconmodule);
	}
	?>
</div>
<?php endif; */ ?>

<?php if ($user->authorise('core.manage', 'com_postinstall') && $this->postinstall_message_count) : ?>
<div class="alert alert-info">
	<h4><?php echo JText::_('COM_CPANEL_MESSAGES_TITLE'); ?></h4>
	<p><?php echo JText::_('COM_CPANEL_MESSAGES_BODY_NOCLOSE'); ?></p>
	<p><?php echo JText::_('COM_CPANEL_MESSAGES_BODYMORE_NOCLOSE'); ?></p>
	<p>
		<a href="index.php?option=com_postinstall&amp;eid=700" class="btn btn-primary">
			<?php echo JText::_('COM_CPANEL_MESSAGES_REVIEW'); ?>
		</a>
	</p>
</div>
<?php endif; ?>

<?php echo JLayoutHelper::render ('this_template.dashboard.home', array()) ?>
<!-- Quicklinks -->
<?php if (count($quicklinks) > 0) : ?>
	<div class="dashboard-links">
		<h3><?php echo JText::_('TPL_ADMIN_DASHBOARD_QUICKLINKS'); ?></h3>
		<div class="dashboard-links-wrap">
		<?php 
		foreach($quicklinks as $gr => $qls) :
			if (is_array($qls['acl'])) :
				if ($dashboard) :
					if (in_array($dashboard, $qls['acl']) || in_array('all',$qls['acl'])) : 
						if (!is_array($qls['links']) || count($qls['links']) == 0) :
		?>
						<div class="group">
							<h3><span><?php echo trim(ucfirst($gr)); ?></span></h3>
							<p>
								<?php echo JText::_('TPL_ADMIN_QUICKLINKS_NO_LINKS'); ?>
							</p>
						</div>
					<?php else : ?>
						<div class="group">
							<h3><span><?php echo trim(ucfirst($gr)); ?></span></h3>
							<ul>
							<?php
							foreach($qls['links'] as $quicklink) :	
							?>
								<li>
									<a href="<?php if (isset($quicklink['url'])) : echo $quicklink['url']; else : echo $quicklink['link']; endif; ?>" title="<?php echo $quicklink['title']; ?>">
										<?php if (isset($quicklink['image']) && $quicklink['image'] != '') : ?>
											<img src="../<?php echo $quicklink['image']; ?>" alt="<?php echo preg_replace('/.+\//','', $quicklink['image']); ?>" />
										<?php elseif (isset($quicklink['icon']) && $quicklink['icon'] != '') : ?>
											<i class="<?php echo $quicklink['icon']; ?>"></i>
										<?php endif; ?>
											<span><strong><?php echo ucfirst($quicklink['name']); ?></strong></span>
									</a>
								</li>
							<?php endforeach;?>
							</ul>
						</div>
				<?php	
						endif;
					endif;
				elseif (count(array_intersect($userGroups, $qls['acl'])) > 0 || in_array('all',$qls['acl'])) :
					if (!is_array($qls['links']) || count($qls['links']) == 0) :
		?>
						<div class="group">
							<h3><span><?php echo trim(ucfirst($gr)); ?></span></h3>
							<p>
								<?php echo JText::_('TPL_ADMIN_QUICKLINKS_NO_LINKS'); ?>
							</p>
						</div>
					<?php else : ?>
						<div class="group">
							<h3><span><?php echo trim(ucfirst($gr)); ?></span></h3>
							<ul>
							<?php
							foreach($qls['links'] as $quicklink) :	
							?>
								<li>
									<a href="<?php if (isset($quicklink['url'])) : echo $quicklink['url']; else : echo $quicklink['link']; endif; ?>" title="<?php echo $quicklink['title']; ?>">
										<?php if (isset($quicklink['image']) && $quicklink['image'] != '') : ?>
											<img src="../<?php echo $quicklink['image']; ?>" alt="<?php echo preg_replace('/.+\//','', $quicklink['image']); ?>" />
										<?php elseif (isset($quicklink['icon']) && $quicklink['icon'] != '') : ?>
											<i class="<?php echo $quicklink['icon']; ?>"></i>
										<?php endif; ?>
											<span><strong><?php echo ucfirst($quicklink['name']); ?></strong></span>
									</a>
								</li>
							<?php endforeach;?>
							</ul>
						</div>
				 <?php	
					endif;
				endif;
			endif;
		endforeach; 
		?>
		</div>
	</div> 
<?php endif; ?><!-- End Quicklinks -->

<div class="sortable-wrap row-fluid">

	<!-- cpanel top -->
	<div class="sortable-list list-top cpanel-top" data-position="cpanel">
	<?php $modules = JModuleHelper::getModules('cpanel');
	if ($modules) : 
		$shownableModules = array();
		if (JFile::exists($fileConfigs)) {
			$configs = json_decode(@file_get_contents($fileConfigs), true);
			if (isset($configs['modules'])) {
				$modConfigs = $configs['modules'];
			}
		}
		if (isset($modConfigs)) {
			foreach($modules as $module) {
				$key = $module->module.$module->id;
				// check module is showable
				if (isset($modConfigs[$key]) && is_array($modConfigs[$key])) {
					if (in_array('all', $modConfigs[$key])) {
						$shownableModules[] = $module;
					} else {
						if ($dashboard) {
							if (in_array($dashboard, $modConfigs[$key])) {
								$shownableModules[] = $module;
							}
						} else {
							if (count(array_intersect($userGroups, $modConfigs[$key]))) {
								$shownableModules[] = $module;
							}
						}
					}
				}		
			}
		} else {
			$shownableModules = $modules;
		}
		?>
		<?php foreach ($shownableModules as $module): ?>
		<div class="sortable-item cpanel-top-module" data-modid="<?php echo $module->id ?>">
			<?php echo JModuleHelper::renderModule($module, array('style' => 'dragdrop')); ?>
		</div>
		<?php endforeach ?>
	<?php endif; ?>
	</div>

	<!-- cpanel left -->
	<div class="sortable-list list-left span6" data-position="cpanel-left">
	<?php $modules = JModuleHelper::getModules('cpanel-left');
	if ($modules) : 
		$shownableModules = array();
		if (JFile::exists($fileConfigs)) {
			$configs = json_decode(@file_get_contents($fileConfigs), true);
			if (isset($configs['modules'])) {
				$modConfigs = $configs['modules'];
			}
		}
		if (isset($modConfigs)) {
			foreach($modules as $module) {
				$key = $module->module.$module->id;
				// check module is showable
				if (isset($modConfigs[$key]) && is_array($modConfigs[$key])) {
					if (in_array('all', $modConfigs[$key])) {
						$shownableModules[] = $module;
					} else {
						if ($dashboard) {
							if (in_array($dashboard, $modConfigs[$key])) {
								$shownableModules[] = $module;
							}
						} else {
							if (count(array_intersect($userGroups, $modConfigs[$key]))) {
								$shownableModules[] = $module;
							}
						}
					}
				}		
			}
		} else {
			$shownableModules = $modules;
		}
		?>
		<?php foreach ($shownableModules as $module): ?>
		<div class="sortable-item cpanel-top-module" data-modid="<?php echo $module->id ?>">
			<?php echo JModuleHelper::renderModule($module, array('style' => 'dragdrop')); ?>
		</div>
		<?php endforeach ?>
	<?php endif; ?>
	</div>

	<!-- cpanel right -->
	<div class="sortable-list list-right span6" data-position="cpanel-right">
	<?php $modules = JModuleHelper::getModules('cpanel-right');
	if ($modules) : 
		$shownableModules = array();
		if (JFile::exists($fileConfigs)) {
			$configs = json_decode(@file_get_contents($fileConfigs), true);
			if (isset($configs['modules'])) {
				$modConfigs = $configs['modules'];
			}
		}
		if (isset($modConfigs)) {
			foreach($modules as $module) {
				$key = $module->module.$module->id;
				// check module is showable
				if (isset($modConfigs[$key]) && is_array($modConfigs[$key])) {
					if (in_array('all', $modConfigs[$key])) {
						$shownableModules[] = $module;
					} else {
						if ($dashboard) {
							if (in_array($dashboard, $modConfigs[$key])) {
								$shownableModules[] = $module;
							}
						} else {
							if (count(array_intersect($userGroups, $modConfigs[$key]))) {
								$shownableModules[] = $module;
							}
						}
					}
				}		
			}
		} else {
			$shownableModules = $modules;
		}
		?>
		<?php foreach ($shownableModules as $module): ?>
		<div class="sortable-item cpanel-top-module" data-modid="<?php echo $module->id ?>">
			<?php echo JModuleHelper::renderModule($module, array('style' => 'dragdrop')); ?>
		</div>
		<?php endforeach ?>
	<?php endif; ?>
	</div>

</div>